# Gmagick::setimageprofile

(PECL gmagick >= Unknown)

Gmagick::setimageprofile — Adds a named profile to the Gmagick object

### Description

public Gmagick::setimageprofile ( string `$name` , string `$profile` ) : Gmagick

Adds a named profile to the Gmagick object. If a profile with the same name already exists, it is replaced. This method differs from the Gmagick::profileimage() method in that it does not apply any CMS color profiles.

### Parameters

`name`

  Name of profile to add or remove: ICC, IPTC, or generic profile.

`profile`

  The profile.

### Return Values

The Gmagick object on success.

### Errors/Exceptions

Throws an GmagickException on error.